Subject: Re: [link-relations] NEW APP DATA - request for Advice - WS-Calendar

From: Mark Nottingham <[email-masked]>
Date: Sat, 5 Feb 2011 10:30:12 +1100

Hi,

Could you give a few examples where these are serialised (e.g., as HTTP headers)?

Cheers,

On 25/01/2011, at 10:45 PM, Toby Considine wrote:

> Greetings
>  
> This is *not yet* a request.
>  
> Within the OASIS WS-Calendar TC, we have looked to several relations that could perhaps be developed using links (RFC5988). We have called these the “temporal relations”. As it sits now, there four of the general format:
>  
> [link] [relation] [duration]
>  
> WS-Calendar generally uses semantics from RFC5545, and chains intervals (expressed as vtodo objects) together to create sequences. While sequences might be one after another, with no gap, they may not.
>  
> The relations are
>  
> [finishtostart] [fs] when this interval finishes, linked interval starts.
> [starttostart] [ss] when this interval starts, linked interval starts.
> [finishtofinish] [ff] linked interval  may not finish until this interval finishes.
> [starttofinish] [sf] linked interval must finish before this starts.
>  
> Each of these relations *may* be accompanied by a gap, expressed as an icalendar duration which modifies the close link described above.
>  
> If I understand the specification properly, this means that I am requesting the above be the relation types, and that the normal format be:
>  
> [finishtostart][target IRI][ gap]
>  
> Each object already contains an identifier, which I think could be defined as the context IRI
>  
> Does this give you sufficient information?
>  
> tc
>  
> “It is difficult to get a man to understand something, when his salary depends upon his not understanding it” -- Upton Sinclair.
> Toby Considine
> TC9, Inc
> OASIS Technical Advisory Board
> TC Chair: oBIX & WS-Calendar
> TC Editor: EMIX, EnergyInterop
> U.S. National Inst. of Standards and Tech. Smart Grid Architecture Committee
> 
>   
> Email: [email-masked]
> Phone: (919)619-2104
> http://www.tcnine.com/
> blog: www.NewDaedalus.com
>  
>  
> _______________________________________________
> link-relations mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/link-relations

--
Mark Nottingham   http://www.mnot.net/